#!/bin/ksh -x
#
#
# Verifica se foi passado algum parametro
export hh=${1}
if (($#<3)) ; then
export Run_Date=`date "+"%Y%m%d"`${hh}
else
export Run_Date=${3}${hh}
fi
Dir_tmp=`pwd`
export Dir_tmp=/Tempo1/etamoc/ncep/CFS/scripts
# VARIAVEIS
#export Run_Date=2017103000
export CFS_Member=${2}
export Dir_CFS=`dirname ${Dir_tmp}`
export Dir_root=`dirname ${Dir_CFS}`
export Dir_SST=${Dir_root}/dados/SST
export Dir_scr=${Dir_CFS}/scripts
export Dir_CFS_out=${Dir_root}/dados/CFS/output/${Run_Date}_M${CFS_Member}
export Dir_util=${Dir_CFS}/util
export data_grib=${Dir_root}/dados/CFS
export Fct=360
export FInitBC=CFS
export InitBC=6


cd ${Dir_scr}

typeset -Z3 ifct ftime

ifct=000
ihora=`echo ${Run_Date} |cut -c 9-10`

export data_sst=${Dir_SST}
export sst_get_date=`${Dir_util}/caldate.3.0 ${Run_Date} - 1d 'yyyymmdd'`
export hh=`echo ${Run_Date} | cut -c9-10`
export date_cfs=`echo ${Run_Date} | cut -c1-8`
export date_sst=`echo ${Run_Date} | cut -c1-8`


echo "CFS DATA  " ${Run_Date}

#ftp://ftpprd.ncep.noaa.gov/pub/data/nccf/com/gfs/prod/gfs.2008081300/

datadir=/data/nccf/com/cfs/prod/cfs/cfs.${date_cfs}/${hh}/6hrly_grib_${CFS_Member}
datadirsst=/data/nccf/com/gfs/prod
server=ftpprd.ncep.noaa.gov

fsst=rtgssthr_grb_0.083
ftime=${ifct}

if [ ! -d ${Dir_SST} ] ; then
  mkdir -p  ${Dir_SST}
fi

if [ ! -d ${data_grib}/${Run_Date}_M${CFS_Member} ] ; then
  mkdir -p  ${data_grib}/${Run_Date}_M${CFS_Member}
fi


if [[ ! -s ${Dir_SST}/sst_Eta_${date_sst}.bin ]] ; then
   cd ${Dir_SST}
   wget -c http://$server$datadirsst/sst.${sst_get_date}/${fsst}.grib2
   mv -v ${Dir_SST}/${fsst}.grib2 ${Dir_SST}/${fsst}_${date_sst}.grib2
   ${Dir_util}/wgrib2 -s -YY  -d 1 -order we:ns ${Dir_SST}/${fsst}_${date_sst}.grib2 -ieee ${Dir_SST}/sst_Eta_${date_sst}.bin
   echo "passou wgrib2"
   chmod 755 ${Dir_SST}/sst_Eta_${date_sst}.bin
fi
cd ${data_grib}/${Run_Date}_M${CFS_Member}
    while ((ftime<=${Fct})) ; do
    datefct=`${Dir_util}/caldate.3.0 ${Run_Date} + ${ftime}hr 'yyyymmddhh'`
#for ftime in 00 06 12 18 24 30 36 42 48;do
#  ifile=gfs.t${ihora}z.pgrb2.0p25.f${ftime}.${Run_Date}.grib2
  ifile=pgbf${datefct}.${CFS_Member}.${Run_Date}.grb2
  ifilesolo=flxf${datefct}.${CFS_Member}.${Run_Date}.grb2
  
  if [[ ! -s ${data_grib}/${Run_Date}/${ifile} ]] && [[ ! -s ${data_sst}/${fsst}_${Run_Date}.grib2 ]] ; then
    echo $server$datadir/${ifile} $server$datadir/${ifilesolo}
    echo "http://$server$datadir/${ifile}" >> ${data_grib}/${Run_Date}_M${CFS_Member}/wget_${CFS_Member}.list
    echo "http://$server$datadir/${ifilesolo}" >> ${data_grib}/${Run_Date}_M${CFS_Member}/wget_${CFS_Member}.list
    echo "/Tempo1/etamoc/ncep/CFS/scripts/CFS_deco_horario.ksh ${hh} ${CFS_Member} ${date_cfs} ${ftime}" >>${data_grib}/${Run_Date}_M${CFS_Member}/wgrib2.list
   fi
        let ftime=$ftime+$InitBC

    done
 
   cat ${data_grib}/${Run_Date}_M${CFS_Member}/wget_${CFS_Member}.list | xargs -n 1 -P 16 wget -q -c
   
   cd ${Dir_scr}
   cat ${data_grib}/${Run_Date}_M${CFS_Member}/wgrib2.list | xargs -n 5 -P 16  time
#   ${Dir_scr}/CFS_deco.ksh ${hh} ${CFS_Member} ${date_cfs}

