#!/bin/ksh -x
#
# Verifica se foi passado algum parametro
if (($#<2)) ; then
export Run_Date=`date "+"%Y%m%d"`$1
else
export Run_Date=${2}${1}
fi

export Dir_root=/Tempo1/etamoc/ncep

# VARIAVEIS
export dhri=${3}
export Dir_GFS=${Dir_root}/GFS
export Dir_SST=${Dir_root}/dados/SST
export Dir_scr=${Dir_GFS}/scripts
export Dir_GFS_out=${Dir_root}/dados/GFS/output/${Run_Date}
export Dir_util=${Dir_root}/util
export data_grib=${Dir_root}/dados/GFS
export Fct=72
export FInitBC=gfs2gr0.50
export InitBC=6

ihour=`echo ${Run_Date} |cut -c 9-10`
ifile=gfs.t${ihour}z.pgrb2.0p50.f

export GRBDIR=${data_grib}/${Run_Date}
export WOUTDIR=${Dir_GFS_out}
mkdir -p ${Dir_GFS_out}
me=$(whoami)
echo "I am $me."

dhr=${dhri}

typeset -Z6 dhr
typeset -Z3 dhri
echo "passei"


datefct=`${Dir_util}/caldate.3.0 ${Run_Date} + ${dhr}hr 'yyyymmddhh'`

echo '==================================================='
echo 'file in process '$GRBDIR'/'${ifile}$dhri
echo '==================================================='
line=$(${Dir_util}/wgrib2 -v $GRBDIR'/'${ifile}$dhri | grep "HGT" | grep "10 mb")
adate=`echo ${line}|cut -d"=" -f2|cut -c1-10`
echo $adate > ${WOUTDIR}/adate.txt

if [ $adate -eq $Run_Date ] ; then
  echo "The gfs date is $adate"
else
  echo "Data for $Run_Date isn't available"
  exit 99 
fi

rm -f  ${WOUTDIR}/${FInitBC}_${adate}.$dhr
touch  ${WOUTDIR}/${FInitBC}_${adate}.$dhr
echo 'OPEN ' ${WOUTDIR}/${FInitBC}_${adate}.$dhr '  FILE'

for vars in HGT UGRD VGRD TMP RH; do
for levs in 100000 97500 95000 92500 90000 85000 80000 75000 70000 65000 \
             60000 55000 50000 45000 40000 35000 30000 25000 20000 15000 \
             10000  7000  5000  3000  2000  1000;do


line=$(${Dir_util}/wgrib2 -ctl_inv $GRBDIR'/'${ifile}$dhri | grep "$vars 100,$levs ")

if [ -z "$line" ]; then
echo 'MISSING DATA :: VAR = '$vars' LEVEL = '$levs
else

tptp=`expr index "$line" :`
tptp=`expr $tptp - 1`
nrec=${line:0:$tptp}

${Dir_util}/wgrib2 -d $nrec $GRBDIR'/'${ifile}$dhri -append -bin ${WOUTDIR}/${FInitBC}_${adate}.$dhr >> ${WOUTDIR}/log

fi   # if [ -z "$line" ]

done # for levs 
done # for vars 

# SURFACE VARIABLES

for vars in "LAND" "PRMSL" "PRES 1," "HGT 1,"\
            "TSOIL 106,0,0.1"\
            "SOILW 106,0,0.1"\
            "TSOIL 106,0.1,0.4"\
            "SOILW 106,0.1.0.4"\
            "TSOIL 106,0.4,1"\
            "SOILW 106,0.4,1"\
            "TSOIL 106,1,2"\
            "SOILW 106,1,2"\
            ; do

line=$(${Dir_util}/wgrib2 -ctl_inv $GRBDIR'/'${ifile}$dhri | grep "$vars")

if [ -z "$line" ]; then
echo 'NO DATA FOR VAR = '$vars' LEVEL = '$levs'mb'
else

tptp=`expr index "$line" :`
tptp=`expr $tptp - 1`
nrec=${line:0:$tptp}

${Dir_util}/wgrib2 -d $nrec $GRBDIR'/'${ifile}$dhri -append -bin  ${WOUTDIR}/${FInitBC}_${adate}.$dhr >> ${WOUTDIR}/log

fi   # if [ -z "$line" ]

done # for vars


echo 'DONE WITH ' ${WOUTDIR}/${FInitBC}_${adate}.$dhr '  FILE'



ls -l ${WOUTDIR}/${FInitBC}_${adate}.$dhr

#echo '=========================================='
#mv -v ${FInitBC}_${adate}.* $WOUTDIR
#mv -v adate.txt $WOUTDIR
mv -v log $WOUTDIR


exit

