#!/bin/ksh -x
#
#
# Verifica se foi passado algum parametro
export hh=${1}
if (($#<2)) ; then
export Run_Date=`date "+"%Y%m%d"`${hh}
else
export Run_Date=${2}${hh}
fi
Dir_tmp=`pwd`
export Dir_root=/Tempo1/etamoc/ncep
export Dir_tmp=${Dir_root}/GFS/scripts

# VARIAVEIS
export Dir_GFS=${Dir_root}/GFS
export Dir_SST=${Dir_root}/dados/SST
export Dir_scr=${Dir_GFS}/scripts
export Dir_CFS_out=${Dir_root}/dados/GFS/output/${Run_Date}
export Dir_util=${Dir_root}/util
export data_grib=${Dir_root}/dados/GFS
export Fct=72
export FInitBC=GFS
export InitBC=6


cd ${Dir_scr}

typeset -Z3 ifct ftime

ifct=000
ihora=`echo ${Run_Date} |cut -c 9-10`

export data_sst=${Dir_SST}
export sst_get_date=`${Dir_util}/caldate.3.0 ${Run_Date} - 1d 'yyyymmdd'`
export hh=`echo ${Run_Date} | cut -c9-10`
export date_gfs=`echo ${Run_Date} | cut -c1-8`
export date_sst=`echo ${Run_Date} | cut -c1-8`


echo "GFS DATA  " ${Run_Date}

#ftp://ftpprd.ncep.noaa.gov/pub/data/nccf/com/gfs/prod/gfs.2008081300/

datadir=/data/nccf/com/gfs/prod/gfs.${Run_Date}/$fpref
datadirsst=/data/nccf/com/gfs/prod
server=ftpprd.ncep.noaa.gov

fpref=gfs.t${ihora}z.pgrb2.0p50.f
fsst=rtgssthr_grb_0.083
ftime=${ifct}

if [ ! -d ${data_grib}/${Run_Date} ] ; then
  mkdir -p  ${data_grib}/${Run_Date}
fi

if [ ! -d ${Dir_SST} ] ; then
  mkdir -p  ${Dir_SST}
fi

if [ ! -d ${data_grib}/${Run_Date} ] ; then
  mkdir -p  ${data_grib}/${Run_Date}
fi
rm -f ${data_grib}/${Run_Date}/wgrib2.list

if [[ ! -s ${Dir_SST}/sst_Eta_${date_sst}.bin ]] ; then
   cd ${Dir_SST}
   wget -c http://$server$datadirsst/sst.${sst_get_date}/${fsst}.grib2
   mv -v ${Dir_SST}/${fsst}.grib2 ${Dir_SST}/${fsst}_${date_sst}.grib2
   ${Dir_util}/wgrib2 -s -YY  -d 1 -order we:ns ${Dir_SST}/${fsst}_${date_sst}.grib2 -ieee ${Dir_SST}/sst_Eta_${date_sst}.bin
   echo "passou wgrib2"
   chmod 755 ${Dir_SST}/sst_Eta_${date_sst}.bin
fi
cd ${data_grib}/${Run_Date}
    while ((${ftime}<=${Fct})) ; do
      datefct=`${Dir_util}/caldate.3.0 ${Run_Date} + ${ftime}hr 'yyyymmddhh'`
      ifile=gfs.t${ihora}z.pgrb2.0p50.f${ftime}
  
  if [[ ! -s ${data_grib}/${Run_Date}/${ifile} ]] && [[ ! -s ${data_sst}/${fsst}_${Run_Date}.grib2 ]] ; then
    echo $server$datadir/${ifile}
    echo "http://$server$datadir/${ifile}" >> ${data_grib}/${Run_Date}/wget_gfs.list
    echo "${Dir_scr}/GFS0p50_deco_horario.ksh ${hh} ${date_gfs} ${ftime}" >>${data_grib}/${Run_Date}/wgrib2.list
  else
    echo "${Dir_scr}/GFS_deco_horario.ksh ${hh} ${date_gfs} ${ftime}" >>${data_grib}/${Run_Date}/wgrib2.list
  fi
        let ftime=$ftime+$InitBC

    done
 
   cat ${data_grib}/${Run_Date}/wget_gfs.list | xargs -n 1 -P 13 wget -q -c
   
   cd ${Dir_scr}
   cat ${data_grib}/${Run_Date}/wgrib2.list | xargs -n 4 -P 16  time
#   ${Dir_scr}/CFS_deco.ksh ${hh} ${CFS_Member} ${date_cfs}

